1

Тема: Откат версии PHP

Здравствуйте!
Нужно откатить версию PHP 5.3.8 до 5.3.6

Делаю следущее :

1.cd /usr/ports/lang/php5/
2.portdowngrade -o -s :pserver:cvs@cvsup.rinet.ru:/home/ncvs lang/php5

portdowngrade 0.6 by Heiner Eichmann
Please note, that nothing is changed in the ports tree
unless it is explicitly permitted in step 6!

Seeking port lang/php5 ...

Found several matches:
1: lang/php5
2: lang/php5-extensions
3: lang/php52
4: lang/php52-extensions

Please choose one:

Жму : 1

Высвечивает возможные версии

14  2011/07/29 18:58:40  5.3.6        - Chase net-snmp shlib bump
   15  2011/07/05 11:59:45  5.3.6        - Remove BROKEN_WITH_PHP
   16  2011/06/17 06:40:03  5.3.6        Fix CVE-2011-1148, CVE-2011-1938 and CVE-2011-2202.
   17  2011/04/26 12:05:57  5.3.6        Add support for iODBC (in addition to [default] unixODBC) in php5-odbc and
   18  2011/04/15 14:52:14  5.3.6        Add support for php5-sqlite3 port.
   19  2011/03/18 09:23:19  5.3.6        Update to 5.3.6 release.
   20  2011/03/04 08:11:21  5.3.5        librt is not needed, but we have nanosleep, fix check.
   21  2011/03/03 08:20:27  5.3.5        Don't link with librt, nanosleep is in libc.
   22  2011/01/11 20:35:46  5.3.5        Enable MYSQLND by default.

Жму : 19

19  2011/03/18 09:23:19  5.3.6        Update to 5.3.6 release

После
cd /usr/ports

и пишу

portupgrade -f php5

После отката проверяю версию :

Она не меняется , остаеться прежней 5.3.8


ДУмал нужно переустановить порт ! Захожу пишу make install clean

В ответ получаю

[root@zhekin /usr/ports/lang/php5]# make install clean
"Makefile", line 110: Malformed conditional (${APACHE_VERSION} > 13)
"Makefile", line 199: if-less else
"Makefile", line 201: if-less endif
make: fatal errors encountered -- cannot continue

Подскажите что не так делаю?

Версия апача 2.2

Добавлено: 21-12-2011 15:57:58

galaUNIX пишет:

Здравствуйте!
Нужно откатить версию PHP 5.3.8 до 5.3.6

Делаю следущее :

1.cd /usr/ports/lang/php5/
2.portdowngrade -o -s :pserver:cvs@cvsup.rinet.ru:/home/ncvs lang/php5

portdowngrade 0.6 by Heiner Eichmann
Please note, that nothing is changed in the ports tree
unless it is explicitly permitted in step 6!

Seeking port lang/php5 ...

Found several matches:
1: lang/php5
2: lang/php5-extensions
3: lang/php52
4: lang/php52-extensions

Please choose one:

Жму : 1

Высвечивает возможные версии

14  2011/07/29 18:58:40  5.3.6        - Chase net-snmp shlib bump
   15  2011/07/05 11:59:45  5.3.6        - Remove BROKEN_WITH_PHP
   16  2011/06/17 06:40:03  5.3.6        Fix CVE-2011-1148, CVE-2011-1938 and CVE-2011-2202.
   17  2011/04/26 12:05:57  5.3.6        Add support for iODBC (in addition to [default] unixODBC) in php5-odbc and
   18  2011/04/15 14:52:14  5.3.6        Add support for php5-sqlite3 port.
   19  2011/03/18 09:23:19  5.3.6        Update to 5.3.6 release.
   20  2011/03/04 08:11:21  5.3.5        librt is not needed, but we have nanosleep, fix check.
   21  2011/03/03 08:20:27  5.3.5        Don't link with librt, nanosleep is in libc.
   22  2011/01/11 20:35:46  5.3.5        Enable MYSQLND by default.

Жму : 19

19  2011/03/18 09:23:19  5.3.6        Update to 5.3.6 release

После
cd /usr/ports

и пишу

portupgrade -f php5

После отката проверяю версию :

Она не меняется , остаеться прежней 5.3.8


ДУмал нужно переустановить порт ! Захожу пишу make install clean

В ответ получаю

[root@zhekin /usr/ports/lang/php5]# make install clean
"Makefile", line 110: Malformed conditional (${APACHE_VERSION} > 13)
"Makefile", line 199: if-less else
"Makefile", line 201: if-less endif
make: fatal errors encountered -- cannot continue

Подскажите что не так делаю?

Версия апача 2.2




Люди где -вы? 12 просмотров и не одной мысли! Нужна помощь!

Семь бед один reset

Thumbs up Thumbs down

2

Re: Откат версии PHP

я бы просто удалил версию и поставил новую. Вообще не приходилось мне скатываться вниз, надо попробовать.

3

Re: Откат версии PHP

Дело в том что мне не нужна новая версию! Нужна именно 5.3.6

Хорошо! Удалил я эту версию , как теперь мне вручную скачать порт php5.3.6 ?

Семь бед один reset

Thumbs up Thumbs down

4

Re: Откат версии PHP

Да если Вы его когда то ставили, посмотрите в папке /usr/ports/distfiles

Thumbs up Thumbs down